## corebird 1.4.1

=== meson_options.txt ===
option('enable-debug',      type: 'boolean', value: 'false')
option('enable-video',      type: 'boolean', value: 'true')
option('enable-spellcheck', type: 'boolean', value: 'true')

## corebird 1.0.1

=== debian/changelog ===
corebird (1.0.1-1mx150+2) mx; urgency=medium

  * Rebuild for MX 15.
  * debian/control: added a longer description to Description.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Wed, 10 Aug 2016 19:48:45 -0500

corebird (1.0.1-1mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Fri, 05 Aug 2016 16:38:28 -0500

corebird (1.1~really1.0.1-2) vivid; urgency=low

  * new upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Sun, 16 Nov 2014 19:30:57 +0800

corebird (0.9-1~vivid) vivid; urgency=low

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Sun, 16 Nov 2014 19:30:57 +0800

corebird (0.8~utopic1-4) utopic; urgency=low

  * Initial release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Sun, 22 Jun 2014 17:30:57 +0800

=== debian/control ===
Source: corebird
Section: misc
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 8.0.0), automake, libtool, autoconf, autopoint, libgtk-3-dev, libglib2.0-dev, librest-dev, libjson-glib-dev, libsqlite3-dev, libsoup2.4-dev, intltool, libgee-0.8-dev, valac, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev 
Standards-Version: 3.9.4
Homepage: http://corebird.baedert.org/

Package: corebird
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Native Gtk+ Twitter client for the Linux desktop
 Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It
 features inline image and video preview, creation of lists and favorites,
 filtering of tweets and full text search. Corebird is able to manage multiple
 Twitter accounts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export CFLAGS = -Wno-error
export DEB_BUILD_OPTIONS = nocheck

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh --prefix=/usr
	dh_auto_configure

## corebird 1.1

=== debian/changelog ===
corebird (1.1-1) unstable; urgency=low

  * Initial release (closes: #770087)

 -- Philip Rinn <rinni@inventati.org>  Tue, 29 Dec 2015 18:53:33 +0100

=== debian/control ===
Source: corebird
Section: net
Priority: optional
Maintainer: Philip Rinn <rinni@inventati.org>
Build-Depends: debhelper (>= 9), libtool, intltool, dh-autoreconf, valac,
 libgtk-3-dev, libglib2.0-dev, librest-dev, libjson-glib-dev, libsqlite3-dev,
 libsoup2.4-dev, libgee-0.8-dev, libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev
Standards-Version: 3.9.6
Homepage: http://corebird.baedert.org
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/corebird.git
Vcs-Git: git://anonscm.debian.org/collab-maint/corebird.git

Package: corebird
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Native Gtk+ Twitter client for the Linux desktop
 Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It
 features inline image and video preview, creation of lists and favorites,
 filtering of tweets and full text search. Corebird is able to manage multiple
 Twitter accounts.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export V = 1

## Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_OPTIONS = nocheck

%:
	dh $@ --with autoreconf

autoreconf:
	NOCONFIGURE=1 ./autogen.sh

override_dh_autoreconf:
	dh_autoreconf --as-needed debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr/bin

## corebird 1.2

=== debian/changelog ===
corebird (1.2-2) unstable; urgency=medium

  * Add build dependencies on gstreamer1.0-plugins-good and
    gstreamer1.0-plugins-bag

 -- Philip Rinn <rinni@inventati.org>  Sun, 06 Mar 2016 17:24:24 +0100

corebird (1.2-1) unstable; urgency=medium

  * New upstream release:
    - Update build dependencies
    - Update copyright
  * Use secure URIs for vcs-* in debian/control
  * Bump Standards-Version to 3.9.7 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Sat, 05 Mar 2016 00:07:39 +0100

=== debian/control ===
Source: corebird
Section: net
Priority: optional
Maintainer: Philip Rinn <rinni@inventati.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 intltool,
 libgee-0.8-dev,
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 librest-dev (>= 0.7.93),
 libsoup2.4-dev,
 libsqlite3-dev,
 libtool,
 libxml2-utils,
 valac,
Standards-Version: 3.9.7
Homepage: http://corebird.baedert.org
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/corebird.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/corebird.git

Package: corebird
Architecture: any
Depends:
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Native Gtk+ Twitter client for the Linux desktop
 Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It
 features inline image and video preview, creation of lists and favorites,
 filtering of tweets and full text search. Corebird is able to manage multiple
 Twitter accounts.

## corebird 1.2.1

=== debian/changelog ===
corebird (1.2.1-1) unstable; urgency=medium

  * New upstream release:
    - Add versions of build dependencies (closes: #822356)
  * Bump Standards-Version to 3.9.8 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Wed, 11 May 2016 18:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  dh-autoreconf,
  intltool,
  libgee-0.8-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.44),
  libgstreamer-plugins-base1.0-dev,
- libgstreamer1.0-dev,
- libgtk-3-dev,
+ libgstreamer1.0-dev (>= 1.6),
+ libgtk-3-dev (>=3.16),
  libjson-glib-dev,
  librest-dev (>= 0.7.93),
  libsoup2.4-dev,
  libsqlite3-dev,
  libtool,
  libxml2-utils,
- valac,
-Standards-Version: 3.9.7
+ valac (>= 0.28),
+Standards-Version: 3.9.8
 Homepage: http://corebird.baedert.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/corebird.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/corebird.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export DEB_BUILD_OPTIONS = nocheck
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 autoreconf:
 	NOCONFIGURE=1 ./autogen.sh

## corebird 1.2.2

=== debian/changelog ===
corebird (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Philip Rinn <rinni@inventati.org>  Fri, 17 Jun 2016 17:45:06 +0200

## corebird 1.3

=== debian/changelog ===
corebird (1.3-1) unstable; urgency=medium

  * New upstream release:
    - Remove build dependency on libgee and intltool
    - Add build dependency on gettext

 -- Philip Rinn <rinni@inventati.org>  Tue, 09 Aug 2016 16:23:08 +0200

## corebird 1.3.3

=== debian/changelog ===
corebird (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Philip Rinn <rinni@inventati.org>  Wed, 05 Oct 2016 17:31:24 +0200

corebird (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Philip Rinn <rinni@inventati.org>  Mon, 26 Sep 2016 11:03:59 +0200

corebird (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Philip Rinn <rinni@inventati.org>  Fri, 09 Sep 2016 21:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- intltool,
- libgee-0.8-dev,
+ gettext (>= 0.19.7),
  libglib2.0-dev (>= 2.44),
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev (>= 1.6),

## corebird 1.4.1

=== debian/changelog ===
corebird (1.4.1-1) unstable; urgency=medium

  * New upstream release:
    - Update build dependencies
  * Move gstreamer1.0-plugins-bad from Depends to Recommends
  * Bump debhelper compat from 9 to 10 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 09 Jan 2017 15:16:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-autoreconf,
  gettext (>= 0.19.7),
  libglib2.0-dev (>= 2.44),
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev (>= 1.6),
- libgtk-3-dev (>=3.16),
+ libgspell-1-dev,
+ libgtk-3-dev (>= 3.18),
  libjson-glib-dev,
  librest-dev (>= 0.7.93),
  libsoup2.4-dev,
@@ -25,10 +26,11 @@
 Package: corebird
 Architecture: any
 Depends:
- gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ gstreamer1.0-plugins-bad,
 Description: Native Gtk+ Twitter client for the Linux desktop
  Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It
  features inline image and video preview, creation of lists and favorites,

## corebird 1.5

=== meson_options.txt ===
option('debug',      type: 'boolean', value: 'false')
option('video',      type: 'boolean', value: 'true')
option('spellcheck', type: 'boolean', value: 'true')

=== debian/changelog ===
corebird (1.5-1) unstable; urgency=medium

  * New upstream release (closes LP: #1695644)

 -- Philip Rinn <rinni@inventati.org>  Wed, 14 Jun 2017 14:59:31 +0200

## corebird 1.5.1

=== debian/changelog ===
corebird (1.5.1-1) unstable; urgency=medium

  * New upstream release (closes: #868136)
  * Bump Standards-Version to 4.0.0 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 17 Jul 2017 13:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libtool,
  libxml2-utils,
  valac (>= 0.28),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://corebird.baedert.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/corebird.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/corebird.git

## corebird 1.6

=== debian/changelog ===
corebird (1.6-1ubuntu0.1) artful; urgency=medium

  * Allow 280 characters per tweet (LP: #1730927)

 -- Philip Rinn <rinni@inventati.org>  Mon, 20 Nov 2017 11:17:10 +0100

corebird (1.6-1) unstable; urgency=medium

  * New upstream release:
    - Update build dependencies
  * Remove build dependency on dh-autoreconf:
    - debhelper >= 10 does the magic automatically

 -- Philip Rinn <rinni@inventati.org>  Fri, 25 Aug 2017 16:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: corebird
 Section: net
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  debhelper (>= 10),
- dh-autoreconf,
  gettext (>= 0.19.7),
  libglib2.0-dev (>= 2.44),
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev (>= 1.6),
  libgspell-1-dev,
- libgtk-3-dev (>= 3.18),
+ libgtk-3-dev (>= 3.20),
  libjson-glib-dev,
- librest-dev (>= 0.7.93),
  libsoup2.4-dev,
  libsqlite3-dev,
- libtool,
  libxml2-utils,
  valac (>= 0.28),
 Standards-Version: 4.0.0

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,8 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export DEB_BUILD_OPTIONS = nocheck
-
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 autoreconf:
 	NOCONFIGURE=1 ./autogen.sh
@@ -22,3 +20,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- PREFIX=/usr/bin
 
+# Disable tests as they rely on working Internet
+override_dh_auto_test:

## corebird 1.7.1

=== debian/changelog ===
corebird (1.7.1-1) unstable; urgency=medium

  * New upstream release:
    - Recommend fonts-symbola for emojis
  * Simplify debian/rules
  * Bump Standards-Version to 4.1.1 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Wed, 01 Nov 2017 17:22:57 +0100

## corebird 1.7.2

=== debian/changelog ===
corebird (1.7.2-2) unstable; urgency=medium

  * Allow 280 characters per tweet (closes: LP: #1730927)

 -- Philip Rinn <rinni@inventati.org>  Fri, 10 Nov 2017 17:46:56 +0100

corebird (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Philip Rinn <rinni@inventati.org>  Sun, 05 Nov 2017 11:50:01 +0100

## corebird 1.7.3

=== debian/changelog ===
corebird (1.7.3-1) unstable; urgency=medium

  * New upstream release:
    - Drop patch to allow 280 chars per tweet, it's applied upstream

 -- Philip Rinn <rinni@inventati.org>  Tue, 21 Nov 2017 13:08:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: corebird
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  debhelper (>= 10),
  gettext (>= 0.19.7),
@@ -16,8 +15,8 @@
  libsqlite3-dev,
  libxml2-utils,
  valac (>= 0.28),
-Standards-Version: 4.0.0
-Homepage: http://corebird.baedert.org
+Standards-Version: 4.1.1
+Homepage: https://corebird.baedert.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/corebird.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/corebird.git
 
@@ -28,6 +27,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ fonts-symbola,
  gstreamer1.0-plugins-bad,
 Description: Native Gtk+ Twitter client for the Linux desktop
  Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It

## corebird 1.7.4

=== meson_options.txt ===
option('video',      type: 'boolean', value: 'true')
option('spellcheck', type: 'boolean', value: 'true')
option('examples',   type: 'boolean', value: 'false')

=== debian/changelog ===
corebird (1.7.4-2) unstable; urgency=medium

  * Depend on gstreamer1.0-gtk3 as it's a separate package now

 -- Philip Rinn <rinni@inventati.org>  Thu, 29 Mar 2018 19:35:26 +0200

corebird (1.7.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.3 (no changes necessary)
  * Bump debhelper compat to 11 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Mon, 05 Mar 2018 12:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext (>= 0.19.7),
  libglib2.0-dev (>= 2.44),
  libgstreamer-plugins-base1.0-dev,
@@ -15,19 +15,20 @@
  libsqlite3-dev,
  libxml2-utils,
  valac (>= 0.28),
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://corebird.baedert.org
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/corebird.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/corebird.git
+Vcs-Browser: https://salsa.debian.org/debian/corebird
+Vcs-Git: https://salsa.debian.org/debian/corebird.git
 
 Package: corebird
 Architecture: any
 Depends:
+ gstreamer1.0-gtk3,
  gstreamer1.0-plugins-good,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- fonts-symbola,
+ fonts-noto-color-emoji | fonts-symbola,
  gstreamer1.0-plugins-bad,
 Description: Native Gtk+ Twitter client for the Linux desktop
  Corebird is a modern and lightweight Twitter client for the GNOME 3 desktop. It

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export V = 1

## Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

# Disable tests as they rely on working Internet
override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/corebird-$1\.tar\.gz/ \
  https://github.com/baedert/corebird/releases .*/v?(\d\S*)\.tar\.gz
